Name:           onesixtyone
Version:        0.3.2
Release:        12%{?dist}
Summary:        An efficient SNMP scanner

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.phreedom.org/software/onesixtyone/
Source0:        http://www.phreedom.org/software/onesixtyone/releases/%{name}-%{version}.tar.gz
#GPG Signature  by "Solar Eclipse <solareclipse@phreedom.org>"
Source1:        http://www.phreedom.org/software/onesixtyone/releases/%{name}-%{version}.tar.gz.sig
#Manpage
Source2:        %{name}.1
Patch0:         onesixtyone-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
onesixtyone takes a different approach to SNMP scanning. It takes advantage of
the fact that SNMP is a connection-less protocol and sends all SNMP requests
as fast as it can. Then the scanner waits for responses to come back and logs
them, in a fashion similar to Nmap ping sweeps.

%prep
%setup -q
%patch0 -p0

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
#Not needed for Fedora, but package exists for EPEL as well
rm -rf %{buildroot}

install -D onesixtyone %{buildroot}%{_bindir}/onesixtyone
install -D -m 0644 dict.txt %{buildroot}%{_datadir}/onesixtyone/dict.txt
install -m 0644 -pD %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

%clean
#Not needed for Fedora, but package exists for EPEL as well
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#no copy of GPL in tarball, licencing info in .c file.
%doc ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 20 2011 Michal Ambroz <rebus at, seznam.cz> - 0.3.2-8
- Ressurect the package for F16/17

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.2-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.2-4
- Autorebuild for GCC 4.3

* Wed May 23 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.2-3
- Add patch to really call proper flags, promise
* Tue May 22 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.2-2
- Change make to really call proper flags
* Fri May 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.2-1
- Initial build
